# configuration file for monitoring
dashboard:
  title: scald
  image: null
  tabs:
    - name: Docs
      url: https://docs.ligo.org/gstlal-visualisation/ligo-scald
    - name: Git
      url: https://git.ligo.org/gstlal-visualisation/ligo-scald
  gps: -1
  duration: 600

plots:
  - title: Sample SNR Timeseries by IFO
    type: TimeSeries
    value: checked
    measurement: inspiral
    schema:
      column: snr
      tag: ifo
      tag_key: ifo
      ifo:
        - H1
        - L1
      aggregate: median
    layout:
      yaxis:
        title:
          text: SNR
        type: log
      margin:
        l: 40
        r: 20
        t: 10
        b: 20

  - title: Sample SNR Heatmap by Job
    type: TimeHeatMap
    value: checked
    measurement: inspiral
    schema:
      column: snr
      tag: job
      tag_key: ifo
      aggregate: median
    layout:
      yaxis:
        title:
          text: Job ID
      margin:
        l: 60
        r: 20
        t: 10
        b: 20

  - title: Sample Latest Heartbeat by Job
    type: Bar
    value: checked
    measurement: inspiral
    schema:
      column: latency
      tag: job
      tag_key: ifo
      aggregate: median
    layout:
      xaxis:
        title:
          text: Job ID
      yaxis:
        title:
          text: Latency [s]
      margin:
        l: 40
        r: 20
        t: 10
        b: 40

  - title: Sample IFAR Plot
    type: IFAR
    value: checked
    measurement: inspiral
    schema:
      column: far
      far: 1e-3
    layout:
      xaxis:
        title:
          text: Inverse False-Alarm Rate [s]
        type: log
      yaxis:
        title:
          text: Number of Events
        type: log
      margin:
        l: 40
        r: 20
        t: 10
        b: 40

measurements:
  inspiral:
    tag: job
    num_tags: 50
    default: 1e4
    transform: none

database:
  backend: influxdb
  db: mydb
  hostname: localhost
  port: 8086
